Package relaxngcc.automaton

## Class Alphabet.EnterAttribute

- java.lang.Object
- - relaxngcc.automaton.Alphabet
  - - relaxngcc.automaton.Alphabet.Markup
    - - relaxngcc.automaton.Alphabet.EnterAttribute

- Enclosing class:
    Alphabet

      public static class Alphabet.EnterAttribute
      extends Alphabet.Markup

  Alphabet of the type "enter attribute."

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

      `Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `State` | `leaveState` | The state that will be reached when the whole attribute is consumed.

    - ### Fields inherited from class relaxngcc.automaton.Alphabet

      `_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnterAttribute​(NameClass key, org.xml.sax.Locator loc, State _leaveState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Alphabet.EnterAttribute` | `asEnterAttribute()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class relaxngcc.automaton.Alphabet.Markup

      `asMarkup, equals, getNameClass, hashCode`

    - ### Methods inherited from class relaxngcc.automaton.Alphabet

      `asDataText, asEnterElement, asForAction, asFork, asLeaveAttribute, asLeaveElement, asRef, asText, asValueText, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### leaveState

          public final State leaveState

      The state that will be reached when the whole attribute is consumed.

  - ### Constructor Detail

    - #### EnterAttribute

          public EnterAttribute​(NameClass key,
                                org.xml.sax.Locator loc,
                                State _leaveState)

  - ### Method Detail

    - #### asEnterAttribute

          public Alphabet.EnterAttribute asEnterAttribute()

      Overrides:
        `asEnterAttribute` in class `Alphabet`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`